import { declareRequest } from "@cqsjjb/jjb-dva-runtime";

export const getWeather = declareRequest(
  "getWeatherLoading",
  "Get > /bi/weather/info",
);
export const getEventReportListUnfinished = declareRequest(
  "getEventReportListUnfinishedLoading",
  "Post > @/emergencyRescue/eventReport/listUnfinished",
);
export const getProjectTaskScoreCount = declareRequest(
  "getProjectTaskScoreCountLoading",
  "Get > /domain/projectTask/scoreCount",
);
export const getHiddenStatisticsByCorp = declareRequest(
  "getHiddenStatisticsByCorpLoading",
  "Post > @/hidden/hidden/statisticsByCorp",
);
export const getXgfStatisticsListCorpStatistics = declareRequest(
  "getXgfStatisticsListCorpStatisticsLoading",
  "Post > @/xgfManager/xgfStatistics/listCorpStatistics",
);
export const getAlarmRecordScreenIotDeviceAlarmPage = declareRequest(
  "getAlarmRecordScreenIotDeviceAlarmPageLoading",
  "Post > @/iotalarm/alarmRecord/screenIotDeviceAlarmPage",
);
export const getXgfStatisticsListRecordProjectStatistics = declareRequest(
  "getXgfStatisticsListRecordProjectStatisticsLoading",
  "Get > /xgfManager/xgfStatistics/listRecordProjectStatistics",
);
export const getFixedCameraVideoList = declareRequest(
  "getFixedCameraVideoListLoading",
  "Post > @/videopatrol/fixedCamera/getVideoList",
);
export const getFixedCameraPlayUrl = declareRequest(
  "getFixedCameraPlayUrlLoading",
  "Get > /videopatrol/fixedCamera/getPlayUrl",
);
export const getEightWorkInfoDangerWorkStatistics = declareRequest(
  "getEightWorkInfoDangerWorkStatisticsLoading",
  "Post > @/eightwork/eightworkInfo/dangerWorkStatistics",
);
export const getKeyProjectLargeScreenStatistics = declareRequest(
  "getKeyProjectLargeScreenStatisticsLoading",
  "Post > @/keyProject/keyProject/largeScreenStatistics",
);
export const getRiskPointCorpRiskLevel = declareRequest(
  "getRiskPointCorpRiskLevelLoading",
  "Post > @/risk/riskPoint/corpRiskLevel",
);
export const getCorpInfoCorpUserSummary = declareRequest(
  "getCorpInfoCorpUserSummaryLoading",
  "Post > @/basicInfo/corpInfo/corpUserSummary",
);
export const getCorpInfoCorpUserStatisticPage = declareRequest(
  "getCorpInfoCorpUserStatisticPageLoading",
  "Post > @/basicInfo/corpInfo/corpUserStatisticPage",
);
export const getFirePointDeviceList = declareRequest(
  "getFirePointDeviceListLoading",
  "Post > @/fireCheck/firePoint/deviceList",
);
export const getEightWorkInfoScreenStatusStatistics = declareRequest(
  "getEightWorkInfoScreenStatusStatisticsLoading",
  "Post > @/eightwork/eightworkInfo/screenStatusStatistics",
);
export const getEightWorkInfoScreenWorkRecord = declareRequest(
  "getEightWorkInfoScreenWorkRecordLoading",
  "Post > @/eightwork/eightworkInfo/screenWorkRecord",
);
export const getEightWorkInfoScreenWorkTrend = declareRequest(
  "getEightWorkInfoScreenWorkTrendLoading",
  "Post > @/eightwork/eightworkInfo/screenWorkTrend",
);
export const getKeyProjectLargeScreenProjectStatistics = declareRequest(
  "getKeyProjectLargeScreenProjectStatisticsLoading",
  "Post > @/keyProject/keyProject/largeScreenProjectStatistics",
);
export const getFixedCameraVideoLocationStat = declareRequest(
  "getFixedCameraVideoLocationStatLoading",
  "Post > @/videopatrol/fixedCamera/getVideoLocationStat",
);
